Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.tooling
[Java] Class GradleConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.tooling.GradleConnectionException

    public class GradleConnectionException
    extends RuntimeException

Thrown when there is some problem using a Gradle connection.

Since:
  1.0-milestone-3

Constructor Summary
`GradleConnectionException(String message)`
`GradleConnectionException(String message, Throwable throwable)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### GradleConnectionException

    public GradleConnectionException(String message)

### GradleConnectionException

    public GradleConnectionException(String message, Throwable throwable)

Gradle API 1.10